piest {plm} | R Documentation

## Chamberlain estimator and test for fixed effects

### Description

General estimator usefull for testing the within specification

### Usage

    piest(formula, data, subset, na.action, index = NULL, robust = TRUE, ...)
    ## S3 method for class 'piest'
    summary(object, ...)
    ## S3 method for class 'summary.piest'
    print(x, ...)

### Arguments

`formula` | a symbolic description for the model to be estimated,
`object,x` | an object of class `"plm"`,
`data` | a `data.frame`,
`subset` | see `lm`,
`na.action` | see `lm`,
`index` | the indexes,
`robust` | if `FALSE`, the error as assumed to be spherical, otherwise, a robust estimation of the covariance matrix is computed,
`...` | further arguments.

### Details

The Chamberlain method consists on using the covariates of all the periods as regressors. It unables to test the within specification.

### Value

An object of class `"piest"`.

### Author(s)

Yves Croissant

### References

Chamberlain, G. (1982) Multivariate regression for panel data, Journal of Econometrics, 18, pp. 5–46.

### Examples

    data("RiceFarms", package = "plm")
    pirice <- piest(log(goutput) ~ log(seed) + log(totlabor) + log(size), RiceFarms, index = "id")
    summary(pirice)

[Package plm version 1.5-12 Index]